### Function

# Pango attr_weight_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_weight_new (
      PangoWeight weight
    )

#### Description [src]

Create a new font weight attribute.

#### Parameters

`weight`

  Type: `PangoWeight`

  The weight.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.